# wxStyledTextEvent Class Reference
[Events, Scintilla Text Editor]

`#include <wx/stc/stc.h>`

Inheritance diagram for wxStyledTextEvent:
[legend]

## Detailed Description

The type of events sent from wxStyledTextCtrl.

Todo:
  list styled text ctrl events.

##

Library: wxBase

Category: Events, Scintilla Text Editor

## Public Member Functions
bool | GetAlt () const
bool | GetControl () const
bool | GetDragAllowMove ()
wxDragResult | GetDragResult ()
wxString | GetDragText ()
int | GetFoldLevelNow () const
int | GetFoldLevelPrev () const
int | GetKey () const
int | GetLParam () const
int | GetLength () const
int | GetLine () const
int | GetLinesAdded () const
int | GetListType () const
int | GetMargin () const
int | GetMessage () const
int | GetModificationType () const
int | GetModifiers () const
int | GetPosition () const
bool | GetShift () const
wxString | GetText () const
int | GetWParam () const
int | GetX () const
int | GetY () const
void | SetDragAllowMove (bool val)
void | SetDragResult (wxDragResult val)
void | SetDragText (const wxString &val)
void | SetFoldLevelNow (int val)
void | SetFoldLevelPrev (int val)
void | SetKey (int k)
void | SetLParam (int val)
void | SetLength (int len)
void | SetLine (int val)
void | SetLinesAdded (int num)
void | SetListType (int val)
void | SetMargin (int val)
void | SetMessage (int val)
void | SetModificationType (int t)
void | SetModifiers (int m)
void | SetPosition (int pos)
void | SetText (const wxString &t)
void | SetWParam (int val)
void | SetX (int val)
void | SetY (int val)
| wxStyledTextEvent (wxEventType commandType=0, int id=0)
| Ctors; used internally by wxWidgets.
| wxStyledTextEvent (const wxStyledTextEvent &event)
| Ctors; used internally by wxWidgets.

List of all members.

## Constructor & Destructor Documentation

wxStyledTextEvent::wxStyledTextEvent | ( | wxEventType | commandType = `0`,
|  | int | id = `0` |
| ) |  |  |

Ctors; used internally by wxWidgets.

wxStyledTextEvent::wxStyledTextEvent | ( | const wxStyledTextEvent & | event | ) |

Ctors; used internally by wxWidgets.

## Member Function Documentation

bool wxStyledTextEvent::GetAlt | ( |  | ) | const

bool wxStyledTextEvent::GetControl | ( |  | ) | const

bool wxStyledTextEvent::GetDragAllowMove | ( |  | ) |

wxDragResult wxStyledTextEvent::GetDragResult | ( |  | ) |

wxString wxStyledTextEvent::GetDragText | ( |  | ) |

int wxStyledTextEvent::GetFoldLevelNow | ( |  | ) | const

int wxStyledTextEvent::GetFoldLevelPrev | ( |  | ) | const

int wxStyledTextEvent::GetKey | ( |  | ) | const

int wxStyledTextEvent::GetLength | ( |  | ) | const

int wxStyledTextEvent::GetLine | ( |  | ) | const

int wxStyledTextEvent::GetLinesAdded | ( |  | ) | const

int wxStyledTextEvent::GetListType | ( |  | ) | const

int wxStyledTextEvent::GetLParam | ( |  | ) | const

int wxStyledTextEvent::GetMargin | ( |  | ) | const

int wxStyledTextEvent::GetMessage | ( |  | ) | const

int wxStyledTextEvent::GetModificationType | ( |  | ) | const

int wxStyledTextEvent::GetModifiers | ( |  | ) | const

int wxStyledTextEvent::GetPosition | ( |  | ) | const

bool wxStyledTextEvent::GetShift | ( |  | ) | const

wxString wxStyledTextEvent::GetText | ( |  | ) | const

int wxStyledTextEvent::GetWParam | ( |  | ) | const

int wxStyledTextEvent::GetX | ( |  | ) | const

int wxStyledTextEvent::GetY | ( |  | ) | const

void wxStyledTextEvent::SetDragAllowMove | ( | bool | val | ) |

void wxStyledTextEvent::SetDragResult | ( | wxDragResult | val | ) |

void wxStyledTextEvent::SetDragText | ( | const wxString & | val | ) |

void wxStyledTextEvent::SetFoldLevelNow | ( | int | val | ) |

void wxStyledTextEvent::SetFoldLevelPrev | ( | int | val | ) |

void wxStyledTextEvent::SetKey | ( | int | k | ) |

void wxStyledTextEvent::SetLength | ( | int | len | ) |

void wxStyledTextEvent::SetLine | ( | int | val | ) |

void wxStyledTextEvent::SetLinesAdded | ( | int | num | ) |

void wxStyledTextEvent::SetListType | ( | int | val | ) |

void wxStyledTextEvent::SetLParam | ( | int | val | ) |

void wxStyledTextEvent::SetMargin | ( | int | val | ) |

void wxStyledTextEvent::SetMessage | ( | int | val | ) |

void wxStyledTextEvent::SetModificationType | ( | int | t | ) |

void wxStyledTextEvent::SetModifiers | ( | int | m | ) |

void wxStyledTextEvent::SetPosition | ( | int | pos | ) |

void wxStyledTextEvent::SetText | ( | const wxString & | t | ) |

void wxStyledTextEvent::SetWParam | ( | int | val | ) |

void wxStyledTextEvent::SetX | ( | int | val | ) |

void wxStyledTextEvent::SetY | ( | int | val | ) |

|  | [ top ]